
Infrastructure - Task #1532

Story # 1530 (Closed): Redefine interface definitions to correspond with Tiers

Deprecate existing d1_common_java interfaces.

2011-05-06 19:14 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Nicholas Dexter % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-06 19:18 - Matthew Jones

- Category set to d1_common_java

Existing interface definitions should be deprecated but kept for a while until the implementations can be refactored to fully implement the new

tier-based interface definitions.  The interfaces to be deprecated are:

org.dataone.service.cn.CoordinatingNodeAuthentication

org.dataone.service.cn.CoordinatingNodeAuthorization

org.dataone.service.cn.CoordinatingNodeCrud

org.dataone.service.cn.CoordinatingNodeDataReplication

org.dataone.service.cn.CoordinatingNodeQuery

org.dataone.service.cn.CoordinatingNodeRegister

org.dataone.service.mn.MemberNodeAuthentication

org.dataone.service.mn.MemberNodeAuthorization

org.dataone.service.mn.MemberNodeCrud

org.dataone.service.mn.MemberNodeHealth

org.dataone.service.mn.MemberNodeReplication

#2 - 2011-05-26 19:21 - Nicholas Dexter

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours changed from 1.0 to 0.0

added @deprecated tags to all affected interfaces

#3 - 2011-05-31 16:47 - Nicholas Dexter

- Assignee changed from Matthew Jones to Nicholas Dexter
#4 - 2011-05-31 16:49 - Nicholas Dexter

- Status changed from New to Closed
